zenilib: _DFB_WindowData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
_DFB_WindowData Struct Reference

`#include <SDL_DirectFB_window.h>`

## Public Attributes

DFBRectangle | client
IDirectFBWindow * | dfbwin
IDirectFBEventBuffer * | eventbuffer
IDirectFBFont * | font
IDirectFBSurface * | icon
int | is_managed
SDL_Window * | next
Uint8 | opacity
DFBRectangle | restore
DFBDimension | size
IDirectFBSurface * | surface
DFB_Theme | theme
IDirectFBSurface * | window_surface
int | wm_grab
int | wm_lastx
int | wm_lasty
int | wm_needs_redraw

## Detailed Description

Definition at line 31 of file SDL_DirectFB_window.h.

## Member Data Documentation

DFBRectangle _DFB_WindowData::client

Definition at line 40 of file SDL_DirectFB_window.h.

IDirectFBWindow* _DFB_WindowData::dfbwin

Definition at line 35 of file SDL_DirectFB_window.h.

IDirectFBEventBuffer* _DFB_WindowData::eventbuffer

Definition at line 36 of file SDL_DirectFB_window.h.

IDirectFBFont* _DFB_WindowData::font

Definition at line 48 of file SDL_DirectFB_window.h.

IDirectFBSurface* _DFB_WindowData::icon

Definition at line 47 of file SDL_DirectFB_window.h.

int _DFB_WindowData::is_managed

Definition at line 45 of file SDL_DirectFB_window.h.

SDL_Window* _DFB_WindowData::next

Definition at line 38 of file SDL_DirectFB_window.h.

Uint8 _DFB_WindowData::opacity

Definition at line 39 of file SDL_DirectFB_window.h.

DFBRectangle _DFB_WindowData::restore

Definition at line 42 of file SDL_DirectFB_window.h.

DFBDimension _DFB_WindowData::size

Definition at line 41 of file SDL_DirectFB_window.h.

IDirectFBSurface* _DFB_WindowData::surface

Definition at line 34 of file SDL_DirectFB_window.h.

DFB_Theme _DFB_WindowData::theme

Definition at line 49 of file SDL_DirectFB_window.h.

IDirectFBSurface* _DFB_WindowData::window_surface

Definition at line 33 of file SDL_DirectFB_window.h.

int _DFB_WindowData::wm_grab

Definition at line 52 of file SDL_DirectFB_window.h.

int _DFB_WindowData::wm_lastx

Definition at line 53 of file SDL_DirectFB_window.h.

int _DFB_WindowData::wm_lasty

Definition at line 54 of file SDL_DirectFB_window.h.

int _DFB_WindowData::wm_needs_redraw

Definition at line 46 of file SDL_DirectFB_window.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/directfb/SDL_DirectFB_window.h